<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Grade Management</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Select2 -->
  <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
  <!-- daypicker -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.13.2/css/dataTables.bootstrap4.min.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
<!-- Site wrapper -->
<div class="wrapper">

  <!-- Preloader -->
  <div class="preloader flex-column justify-content-center align-items-center">
    <img class="animation__shake" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60">
  </div>

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">DEVCAMP 120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Han Dang</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item">
            <a href="#" class="nav-link active">
              <i class="fas fa-user-friends nav-icon"></i>
              <p>
                Grade Management
              </p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>QUẢN LÝ BẢNG ĐIỂM</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Grade Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <div class="row">
          <div class="col-md-12 text-center">
            <h3><b>F200 - LỊCH SỬ HỌC TẬP</b></h3>
          </div>
        </div>
        <div class="container-fluid jumbotron mb-3 p-3">
          <div class="row form-group">
            <label class="col-form-label col-md-12"><h5><b>Lọc bảng điểm:</b></h5></label>
          </div>
          <div class="row form-group">
            <label class="col-form-label col-md-2"><b>Sinh viên:</b></label>
            <div class="col-md-3">
              <select id="select-student" class="select2" style="width: 100%">
                <option value="">Chọn sinh viên</option>
              </select>
            </div>
            <label class="col-form-label col-md-2"><b>Môn học:</b></label>
            <div class="col-md-3">
              <select id="select-subject" class="select2" style="width: 100%">
                <option value="">Chọn môn học</option>
              </select>
            </div>
            <div class="col-md-2">
              <button id="btn-filter" class="btn btn-primary w-100"><i class="fas fa-filter"></i> &nbsp; Lọc dữ liệu</button>
            </div>
          </div>
        </div>
        <div class="row my-3">
          <div class="col-md-12">
            <button id="btn-create" class="btn btn-primary"><i class="fas fa-plus"></i> &nbsp; Thêm dữ liệu</button>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <table id="table-grade" class="table table-bordered table-striped table-hover">
              <thead>
                <tr>
                  <th>STT</th>
                  <th>Sinh viên</th>
                  <th>Môn học</th>
                  <th>Điểm</th>
                  <th>Ngày thi</th>
                  <th>Action</th>
                </tr>
              </thead>
            </table>
          </div>
        </div>
      </div>
      <!-- Modal New Grade -->
      <div id="modal-new-grade" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title"><b>THÊM ĐIỂM THI MỚI</b></h5>
              <a role="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </a>
            </div>
            <div class="modal-body">
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Sinh Viên:</label>
                </div>
                <div class="col-md-8">
                  <select id="new-select-student" class="select2" style="width: 100%">
                    <option value="">Chọn sinh viên</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Môn Học:</label>
                </div>
                <div class="col-md-8">
                  <select id="new-select-subject" class="select2" style="width: 100%">
                    <option value="">Chọn môn học</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Điểm thi:</label>
                </div>
                <div class="col-md-8">
                  <input id="new-input-grade" class="form-control" type="number" placeholder="Điểm thi">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Ngày Thi:</label>
                </div>
                <div class="col-md-8">
                  <input type="text" placeholder="Ngày thi" class="form-control datetimepicker-input" id="new-input-date" data-toggle="datetimepicker" data-target="#new-input-date">
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button id="new-btn-create" type="button" class="btn btn-primary">Thêm điểm thi</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>    <!-- END Modal New Grade -->
      <!-- Modal Edit Grade -->
      <div id="modal-edit-grade" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title"><b>THÔNG TIN CHI TIẾT</b></h5>
              <a role="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </a>
            </div>
            <div class="modal-body">
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Sinh viên:</label>
                </div>
                <div class="col-md-8">
                  <select id="edit-name" class="select2" style="width: 100%">
                    <option value="">Chọn sinh viên</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Môn Học:</label>
                </div>
                <div class="col-md-8">
                  <select id="edit-subject" class="select2" style="width: 100%">
                    <option value="">Chọn môn học</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Điểm Thi:</label>
                </div>
                <div class="col-md-8">
                  <input id="edit-grade" class="form-control" type="number" placeholder="Điểm thi">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-md-4">
                  <label class="col-form-label">Ngày Thi:</label>
                </div>
                <div class="col-md-8">
                  <input type="text" class="form-control datetimepicker-input" id="edit-date" data-toggle="datetimepicker" data-target="#edit-date">
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button id="edit-btn" type="button" class="btn btn-primary">Sửa thông tin</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>    <!-- END Modal Edit Grade -->
      <!-- Modal Delete Grade -->
      <div id="modal-delete-grade" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title"><b>XÓA ĐIỂM THI</b></h5>
              <a type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </a>
            </div>
            <div class="modal-body">
              <p><b>Bạn có chắc muốn xóa dữ liệu này không?</b></p>
            </div>
            <div class="modal-footer">
              <button id="delete-btn" type="button" class="btn btn-danger">Xóa điểm thi</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0
    </div>
    <strong>Copyright &copy; 2023 <a href="#">Devcamp 120</a>.</strong> All rights reserved.
  </footer>

</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Data Table -->
<script src="https://cdn.datatables.net/1.13.2/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.2/js/dataTables.bootstrap4.min.js"></script>
<!-- Select2 -->
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<!-- datepicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- Script Code -->
<script src="script.js"></script>

</body>
</html>
